- Qt 5.15
- Qt Sensors
- C++ Classes
- QCompass
- Qt 5.15.18 Reference Documentation

# QCompass Class

The QCompass class is a convenience wrapper around QSensor. More...

Header: | #include <QCompass>
qmake: | QT += sensors
Since: | Qt 5.1
Inherits: | QSensor

This class was introduced in Qt 5.1.

- List of all members, including inherited members

## Public Functions

| QCompass(QObject *parent = Q_NULLPTR)
virtual | ~QCompass()
QCompassReading * | reading() const

## Detailed Description

The only behavioural difference is that this class sets the type properly.

This class also features a reading() function that returns a QCompassReading instead of a QSensorReading.

For details about how the sensor works, see QCompassReading.

See also QCompassReading.

## Member Function Documentation

### QCompass::QCompass(QObject *parent = Q_NULLPTR)

Construct the sensor as a child of parent.

### `[virtual]` QCompass::~QCompass()

Destroy the sensor. Stops the sensor if it has not already been stopped.

### QCompassReading *QCompass::reading() const

Returns the reading class for this sensor.

See also QSensor::reading().